<?php
/**
 * Toy Storefront: Block Patterns
 *
 * @since Toy Storefront 1.0
 */

function toy_storefront_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'toy-storefront' => array( 'label' => __( 'Toy Storefront', 'toy-storefront' ) )
	);
	$block_pattern_categories = apply_filters( 'toy_storefront_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'toy_storefront_register_block_patterns', 9 );